<?php

/**
 * PHP version 7.1
 *
 * MessageCost entity
 *
 * @package  RetailCrm\Mg\Bot\Model\Entity\Message
 */

namespace RetailCrm\Mg\Bot\Model\Entity\Message;

use Symfony\Component\Validator\Constraints as Assert;
use JMS\Serializer\Annotation\Accessor;
use JMS\Serializer\Annotation\SkipWhenEmpty;
use JMS\Serializer\Annotation\Type;
use RetailCrm\Mg\Bot\Model\ModelInterface;

/**
 * MessageCost class
 *
 * @package  RetailCrm\Mg\Bot\Model\Entity\Message
 */
class MessageCost implements ModelInterface
{
    /**
     * @var float $value
     *
     * @Type("float")
     * @Accessor(getter="getValue",setter="setValue")
     * @SkipWhenEmpty()
     */
    private $value;

    /**
     * @var string $currency
     *
     * @Type("string")
     * @Accessor(getter="getCurrency",setter="setCurrency")
     *
     * @Assert\Currency
     */
    private $currency;

    /**
     * @return float|null
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * @param float $value
     */
    public function setValue(float $value)
    {
        $this->value = $value;
    }

    /**
     * @return string|null
     */
    public function getCurrency()
    {
        return $this->currency;
    }

    /**
     * @param string $currency
     */
    public function setCurrency(string $currency)
    {
        $this->currency = $currency;
    }
}
